<?php

/**
 * The front-end functionality of the plugin.
 */

class ysd_aw_public {

	/**
	 * The ID of this plugin.
	 */
	private $plugin_name;

	/**
	 * The version of this plugin.
	 */
	private $version;

	/**
	 * Initialize the class and set its properties.
	 */
	public function __construct($plugin_name, $version) {
		$this->plugin_name = $plugin_name;
        $this->version = $version;

        add_action( 'init', array( $this, 'ysd_aw_styles') );
        add_action( 'wp_enqueue_scripts', array( $this, 'ysd_aw_scripts') );

    }

    public function ysd_aw_styles() {

        // Add Styles
        wp_register_style( 'ysd_aw_style', YSD_AW_PLUGIN_URL . '/assets/css/style.css', array(), false, false );
        wp_enqueue_style( 'ysd_aw_style' ); // Enqueue in Head
    }

    public function ysd_aw_scripts() {

        // Add Scripts
        wp_register_script( 'ysd_aw_script', YSD_AW_PLUGIN_URL . '/assets/js/script.js', array(), false, false );
    }

}