/*
 * Advanced Product Categories Widget
 */
jQuery(document).ready(function ($) {
    /*
     * ADVANCED NAVIGATION MENU
     */
    var menuParent = $("#aw-advanced-nav-menu .menu-item-has-children .caret");
    // Active Class On Click
    $(menuParent).click(function () {
        var menuCaretParent = $(this).parent(".menu-item-has-children");
        if (menuCaretParent.hasClass("active")) {
            $(this).parent().toggleClass("active");
            $(this).parent().find("ul.sub-menu:first").toggleClass("active");
        } else {
            $(this).parent().toggleClass("active");
            $(this).parent().find("ul.sub-menu:first").toggleClass("active");
        }
        // Siblings
        $(menuCaretParent).siblings().removeClass("active");
        var menuChild = $(menuCaretParent).children(".sub-menu");
        if (menuChild.hasClass("active")) {
            $(menuChild).removeClass("active");
        } else {
            $(menuChild).addClass("active");
        }
    });
    // Check Active Menu Item On Load
    $(menuParent).each(function () {
        if ($(this).parent().hasClass("current-menu-parent")) {
            $(this).parent().addClass("active");
        } else {
            $(this).parent().removeClass("active");
        }
    });

    /*
     * ADVANCED PRODUCT CATEGORIES MENU
     */
    var catParent = $("#aw-woo-product-categories .cat-parent .caret");
    // Active Class On Click
    $(catParent).click(function () {
        var catCaretParent = $(this).parent(".cat-parent");
        if (catCaretParent.hasClass("active")) {
            $(this).parent().toggleClass("active");
            $(this).parent().find("ul.children:first").toggleClass("active");
        } else {
            $(this).parent().toggleClass("active");
            $(this).parent().find("ul.children:first").toggleClass("active");
        }
        // Siblings
        $(catCaretParent).siblings().removeClass("active");
        var catChild = $(catCaretParent).children(".children");
        if (catChild.hasClass("active")) {
            $(catChild).removeClass("active");
        } else {
            $(catChild).addClass("active");
        }
    });
    // Check Active Category On Load
    $(catParent).each(function () {
        if ($(this).parent().hasClass("current-cat-parent")) {
            $(this).parent().addClass("active");
        } else {
            $(this).parent().removeClass("active");
        }
    });
});